Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class VerseFactory

    java.lang.Object
      org.crosswire.jsword.passage.VerseFactory

    public final class VerseFactory

extends Object

A factory to create a Verse from user input.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Constructor Summary
`private` | `VerseFactory()` Prevent a VerseFactory from being created.

Method Summary
`static Verse` | `fromString(String original)` Construct a Verse from a String - something like "Gen 1:1".
`static Verse` | `fromString(String original, VerseRange verseRangeBasis)` Construct a Verse from a String and a VerseRange.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerseFactory

    private VerseFactory()

  Prevent a VerseFactory from being created.

Method Detail

### fromString

    public static Verse fromString(String original)
                            throws NoSuchVerseException

  Construct a Verse from a String - something like "Gen 1:1". in case the user does not want to have their typing 'fixed' by a meddling patronizing computer. The following initial letters can not be matched at all - 'bfquvwx'.

  Parameters:
    `original` - The text string to be converteds
  Returns:
    the Verse representation of the string
  Throws:
    `NoSuchVerseException` - If the text can not be understood

### fromString

    public static Verse fromString(String original,
                                   VerseRange verseRangeBasis)
                            throws NoSuchVerseException

  Construct a Verse from a String and a VerseRange. For example given "2:2" and a basis of Gen 1:1 - 12 the result would be Gen 2:2

  Parameters:
    `original` - The string describing the verse e.g "2:2"
    `verseRangeBasis` - The basis by which to understand the desc.
  Returns:
    the verse representation of the string
  Throws:
    `NoSuchVerseException` - If the reference is illegal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD